function pos_company_models(instance, module){
    var QWeb = instance.web.qweb;
    _t = instance.web._t;

    module.PosModel.prototype.models.push({
        model: "res.company",
        fields: ['street', 'city'],
        ids:    function(self){ return [self.user.company_id[0]] },
        loaded: function(self, companies){
            self.companies = companies[0];
        },
    });

    module.PosModel.prototype.models.push({
        model: "account.journal",
        fields: ['number', 'start_of_validity', 'end_of_validity'],
        domain: function(self){ return [["id", "=", self.config.journal_id[0]]]},
        loaded: function(self, legal_journal){
            self.legal_journal = legal_journal;
        },
    });
};

